Welcome to the sunny Aspenside!
created by Zeino (Tryxn on RVZ) with the help of numerous people

Track overview: 
Aspenside will take you throught the twisty and the straight, all packed up closely
together for some close-up action! Are you going to come out on top? Take a visit!
The track was made specially for the Christmas Carnival 2020!

Featuring:
- Practice star!
- Time trial times to beat, both normal and reverse!
- Custom music
- Awesome vibe
- AND FINALLY DIRECTION TRIGGERS I FINALLY DID NOT FORGET AAAAAAAAAAA!!!!!!!

Credits:
Textures from Snowland 1 by Xarc
Alex for the safety netting
Other textures from internet/edited and selfmade
Skybox, seamless tree texture and motivation by Tubers
Music is Blizzard by Megabyte 
jgrzinich for wind sound
Trees ripped from Star Fox Adventures by Models124717

Special thanks:
Frosttbitten, Ashen Forest and Duc for pointing out bugs and cuts
Ainnir
Tubers
Alex
Xarc
Everyone else who helped
Community and you for playing